import { defineConfig } from "drizzle-kit";

//@ts-ignore - better-sqlite driver throws an error even though its an valid value
export default defineConfig({
	dialect: "sqlite",
	schema: "./src/server/db/schema.ts",
	out: "./drizzle",
	driver: "better-sqlite",
	dbCredentials: {
		url: "db/sqlite.db",
	},
});
