import { env } from "@/utils/env";
import { GitHub } from "arctic";

export const github = new GitHub(env.OAUTH.CLIENT_ID, env.OAUTH.CLIENT_SECRET, {
	enterpriseDomain: "https://git.i.mercedes-benz.com",
});

export interface GitHubUserResult {
	id: number;
	login: string;
	name: string;
	email: string;
}
